---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab variable update`

Update an existing project or group variable

```plaintext
glab variable update <key> <value> [flags]
```

## Examples

```plaintext
glab variable update WITH_ARG "some value"
glab variable update FROM_FLAG -v "some value"
glab variable update FROM_ENV_WITH_ARG "${ENV_VAR}"
glab variable update FROM_ENV_WITH_FLAG -v"${ENV_VAR}"
glab variable update FROM_FILE < secret.txt
cat file.txt | glab variable update SERVER_TOKEN
cat token.txt | glab variable update GROUP_TOKEN -g mygroup --scope=prod

```

## Options

```plaintext
  -g, --group string   Set variable for a group
  -m, --masked         Whether the variable is masked
  -p, --protected      Whether the variable is protected
  -s, --scope string   The environment_scope of the variable. All (*), or specific environments (default "*")
  -t, --type string    The type of a variable: {env_var|file} (default "env_var")
  -v, --value string   The value of a variable
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
